% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/xgb.load.R
\name{xgb.load}
\alias{xgb.load}
\title{Load XGBoost model from binary file}
\usage{
xgb.load(modelfile)
}
\arguments{
\item{modelfile}{The name of the binary input file.}
}
\value{
An object of \code{xgb.Booster} class.
}
\description{
Load XGBoost model from binary model file.
}
\details{
The input file is expected to contain a model saved in an XGBoost model format
using either \code{\link[=xgb.save]{xgb.save()}} in R, or using some
appropriate methods from other XGBoost interfaces. E.g., a model trained in Python and
saved from there in XGBoost format, could be loaded from R.

Note: a model saved as an R object has to be loaded using corresponding R-methods,
not by \code{\link[=xgb.load]{xgb.load()}}.
}
\examples{
\dontshow{RhpcBLASctl::omp_set_num_threads(1)}
data(agaricus.train, package = "xgboost")
data(agaricus.test, package = "xgboost")

## Keep the number of threads to 1 for examples
nthread <- 1
data.table::setDTthreads(nthread)

train <- agaricus.train
test <- agaricus.test

bst <- xgb.train(
  data = xgb.DMatrix(train$data, label = train$label, nthread = 1),
  nrounds = 2,
  params = xgb.params(
    max_depth = 2,
    nthread = nthread,
    objective = "binary:logistic"
  )
)

fname <- file.path(tempdir(), "xgb.ubj")
xgb.save(bst, fname)
bst <- xgb.load(fname)
}
\seealso{
\code{\link[=xgb.save]{xgb.save()}}
}
